=== debian/changelog ===
python-sure (1.2.2-2build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:00 +0000

python-sure (1.2.2-2) unstable; urgency=low

  * Drops dependency on python-steadymark (Closes: #722507).
  * Drops build-dependency on openstack-pkg-tools (and make it optional in
    debian/rules).

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Dec 2013 16:51:23 +0800

python-sure (1.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #721710)

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2013 19:26:12 +0800
