=== debian/control ===
Source: python-sure
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-nose,
               python-setuptools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-sure.git
Vcs-Git: git://anonscm.debian.org/openstack/python-sure.git
Homepage: http://github.com/gabrielfalcao/sure

Package: python-sure
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-nose, ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: utility belt for automated testing for Python
 Sure is a library for Python that leverages a DSL for writing assertions. In
 CPython it monkey-patches the object type, adding some methods and properties
 purely for test purposes. Any Python code writen after "import sure" gains
 testing superpowers.
