## python-sure 1.2.5

=== Makefile ===
--- 
+++ 
@@ -2,16 +2,17 @@
 
 filename=sure-`python -c 'import sure;print sure.version'`.tar.gz
 
-export PYTHONPATH:=  ${PWD}
-export SURE_NO_COLORS:=  true
+export PYTHONPATH := ${PWD}:${PYTHONPATH}
+export SURE_NO_COLORS := true
 
 install_deps:
-	@pip install -r requirements.pip
+	@curd install -r development.txt
 
 test:
-	@nosetests -s --verbosity=2 tests
+	@nosetests -s --verbosity=2 tests --rednose
 	@steadymark OLD_API.md
 	@steadymark README.md
+	@pandoc -o readme.rst README.md
 
 clean:
 	@printf "Cleaning up files that are already in .gitignore... "
@@ -25,3 +26,18 @@
 
 publish:
 	@python setup.py sdist register upload
+
+docstests: clean
+	@steadymark README.md
+
+
+docs: docstests
+	@markment -t rtd -o . --sitemap-for="http://falcao.it/sure" spec
+	@git co master && \
+		(git br -D gh-pages || printf "") && \
+		git checkout --orphan gh-pages && \
+		markment -t rtd -o . --sitemap-for="http://falcao.it/sure" spec && \
+		git add . && \
+		git commit -am 'documentation' && \
+		git push --force origin gh-pages && \
+		git checkout master
