=== requirements.txt ===
nose==1.3.0
rednose==0.4.1
