=== debian/changelog ===
python-sure (1.2.5-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * Fixed homepage (https).
  * Fixed typo in description.
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Removed inactive uploaders.
  * Add missin dh-python build-depends.
  * Removed now useless version of (build-)depends.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 17:41:44 +0200

python-sure (1.2.5-4) unstable; urgency=medium

  * Fixed typo in package description (Closes: #782528).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:28:12 +0200

python-sure (1.2.5-3) unstable; urgency=medium

  * Fixed "bug in callable assertions when called with parameters", thanks to
    Edward Betts <edward@4angle.com> for reporting (Closes: #766477).
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 08:00:16 +0000

python-sure (1.2.5-2) unstable; urgency=medium

  * Fixed unfinished first sentence of GPL3 license in debian/copyright, thanks
    to Thorsten Alteholz <alteholz@debian.org> for reporting. (Closes: #744757)

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Apr 2014 12:21:18 +0800

python-sure (1.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Added python-rednose (build-)dependency.
  * Added Python3 (and 3.2) support to the package, thanks to Cyril Roelandt.
  * Removes the use of embedded copy of six.py.
  * Standards-Version is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Apr 2014 00:33:28 +0800
