=== debian/control ===
Source: python-sure
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-nose,
 python-rednose,
 python-setuptools,
 python-six,
 python3-all,
 python3-nose,
 python3-rednose,
 python3-setuptools,
 python3-six,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-sure
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-sure.git
Homepage: https://github.com/gabrielfalcao/sure

Package: python-sure
Architecture: all
Depends:
 python-nose,
 python-rednose,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: utility belt for automated testing - Python 2.x
 Sure is a library for Python that leverages a DSL for writing assertions. In
 CPython it monkey-patches the object type, adding some methods and properties
 purely for test purposes. Any Python code written after "import sure" gains
 testing superpowers.
 .
 This package contains the module for Python 2.x.

Package: python3-sure
Architecture: all
Depends:
 python3-nose,
 python3-rednose,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: utility belt for automated testing - Python 3.x
 Sure is a library for Python that leverages a DSL for writing assertions. In
 CPython it monkey-patches the object type, adding some methods and properties
 purely for test purposes. Any Python code written after "import sure" gains
 testing superpowers.
 .
 This package contains the module for Python 3.x.
