=== debian/watch ===
version=3
https://pypi.debian.net/sure/sure-(.*).tar.gz
