=== debian/changelog ===
python-sure (2.0.0-2) unstable; urgency=medium

  * d/rules: add dh_python3 --shebang=/usr/bin/python3 (Closes: #1016380).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jul 2022 12:53:24 +0200

python-sure (2.0.0-1) unstable; urgency=medium

  * New upstream release:
    - unbreak python-httpretty FTBFS (Closes: #1002321).
    - Fix FTBFS (Closes: #1002433).
  * Remove all patches, not relevant anymore.
  * Add python3-mock build-depends.
  * Skip test_context_is_not_optional() test that is broken.
  * Fix long and sort description to not include Python version.
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 09:39:17 +0100

python-sure (1.2.5-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938205).
  * Fix d/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 12:34:52 +0200
