## python-sure 2.0.1+git.2023.02.06.3aef950b7c

=== Makefile ===
--- 
+++ 
@@ -46,9 +46,8 @@
 	@(cd docs && make html)
 	$(OPEN_COMMAND) docs/build/html/index.html
 
-test:
-	@$(VENV)/bin/nosetests --rednose --immediate -vv --with-coverage --cover-package=sure
-	@$(VENV)/bin/pytest -vv
+test tests: clean | $(VENV)/bin/pytest # $(VENV)/bin/nosetests	# @$(VENV)/bin/nosetests --rednose --immediate -vv --with-coverage --cover-package=sure
+	@$(VENV)/bin/pytest -vv --cov=sure
 
 # run main command-line tool
 run: | $(MAIN_CLI_PATH)
@@ -60,20 +59,18 @@
 
 # Prepares release of this package prior to pushing to pypi
 build-release:
-	rm -rf ./dist  # remove local packages
+	$(VENV)/bin/python setup.py build sdist
 	$(VENV)/bin/twine check dist/*.tar.gz
-	$(VENV)/bin/python setup.py build sdist
 
 # Convenience target that runs all tests then builds and pushes a release to pypi
-release: tests build-release push-release
-	@rm -rf dist/*
+release: tests
 	@./.release
 	$(MAKE) build-release
 	$(MAKE) push-release
 
 # Convenience target to delete the virtualenv
 clean:
-	@rm -rf .venv
+	@rm -rf .coverage
 
 # Convenience target to format code with black with PEP8's default
 # 80 character limit per line
@@ -133,4 +130,5 @@
 	setup \
 	run \
 	test \
+	tests \
 	docs
