=== debian/changelog ===
python-sure (2.0.1+git.2023.02.06.3aef950b7c-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090620).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:32:48 +0100

python-sure (2.0.1+git.2023.02.06.3aef950b7c-3) unstable; urgency=medium

  * Removed nose and rednose from depends (Closes: #1072790).

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Jun 2024 13:39:30 +0200

python-sure (2.0.1+git.2023.02.06.3aef950b7c-2) unstable; urgency=medium

  * Switch from nose to pytest (Closes: #1018586).
  * Fix tox.ini.
  * Add switch-from-nose-to-pytest-and-unittest.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 10:09:57 +0200

python-sure (2.0.1+git.2023.02.06.3aef950b7c-1) unstable; urgency=medium

  * New upstream release based on 2.0.1 plus a dumb commit, to avoid having to
    deal with wrong git and orig tarball from Matthias.
  * Get rid of the python3-mock (build-)depends (Closes: #1060095).

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2024 09:18:10 +0100

python-sure (2.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #1059669.
  * Fix build with Python 3.12.
  * Disable two failing tests for now.
  * Remove .coverage when cleaning.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jan 2024 08:44:38 +0100

python-sure (2.0.0-3) unstable; urgency=medium

  * Added extend-diff-ignore for the egg-info (Closes: #1046255).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 17:38:25 +0200
